C*----------------------------------------------------------------------
C*
C*  NAME:
C*    sysproc - call seimic processing processing routine
C*     
C*  SYNOPSIS:
C*    character*4 name
C*    integer ldim, maxtrc, nra, nsa, ipr, ntri, ntro
C*    real otr(ldim,maxtrc),ra(nra),sa(nsa)
C*    logical abort
C*    call sysproc( name, ldim, maxtrc, otr, nra, ra, nsa, sa,
C*                  ntri, ntro, abort, ipr )
C*
C*  DESCRIPTION: 
C*    Searches for process that matches 'name' and calls the
C*    appropriate routine.
C*    Exits via routine 'sysexit' if no match found.
C*
C*----------------------------------------------------------------------
C*   DEPENDENCIES:
C*
C*     Subroutines:
C*       sysexit
C*
C*     Libraries:
C*       FORTRAN I/O support
C*
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*      Written:
C*        12/31/91 - C. Mosher, ARCO E&PT 
C*
C*      References:
C*
C*      Modified:
C*
C*----------------------------------------------------------------------
C
	subroutine sysproc( name, x, ldim, maxtrc, otr, nra, ra, nsa, sa,
     +    ntri, ntro, abort, ipr )
	character*4 name
	character*1 x
	integer ldim, maxtrc, nra, nsa, ipr
	logical abort
	real otr(ldim,maxtrc),ra(nra),sa(nsa)
	character*72 buf

	abort = .false.
	if (name.eq.'DCON') then
		if (x.eq.'A') then
			call DCONA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call DCONB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call DCONC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'DGEN') then
		if (x.eq.'A') then
			call DGENA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call DGENB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call DGENC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'DMOC') then
		if (x.eq.'A') then
			call DMOCA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call DMOCB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call DMOCC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'FANF') then
		if (x.eq.'A') then
			call FANFA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call FANFB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call FANFC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'FDMD') then
		if (x.eq.'A') then
			call FDMDA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call FDMDB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call FDMDC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'FXMG') then
		if (x.eq.'A') then
			call FXMGA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call FXMGB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call FXMGC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'GEOM') then
		if (x.eq.'A') then
			call GEOMA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call GEOMB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call GEOMC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'MG3D') then
		if (x.eq.'A') then
			call MG3DA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call MG3DB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call MG3DC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'M3FK') then
		if (x.eq.'A') then
			call M3FKA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call M3FKB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call M3FKC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'NMOC') then
		if (x.eq.'A') then
			call NMOCA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call NMOCB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call NMOCC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'RATE') then
		if (x.eq.'A') then
			call RATEA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call RATEB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call RATEC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'READ') then
		if (x.eq.'A') then
			call READA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call READB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call READC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'STAK') then
		if (x.eq.'A') then
			call STAKA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call STAKB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call STAKC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'WRIT') then
		if (x.eq.'A') then
			call WRITA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call WRITB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call WRITC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else if (name.eq.'XSUM') then
		if (x.eq.'A') then
			call XSUMA(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		abort, ipr )
		else if (x.eq.'B') then
			call XSUMB(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntri, ntro, abort, ipr )
		else
			call XSUMC(	ldim, maxtrc, otr, nra, ra, nsa, sa, 
     +    		ntro, abort, ipr )
		endif
	else
		write (buf,9010) name
 9010   format (/,' *** SEIS ERROR: Process ',a4,' is not defined')
		call sysexit( buf )
	endif
	return
	end

C*----------------------------------------------------------------------
